package com.cool.store.service.impl;

import com.cool.store.constants.CommonConstants;
import com.cool.store.dao.AssessmentDataDAO;
import com.cool.store.entity.AssessmentDataDO;
import com.cool.store.service.AssessmentDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Auther: WangShuo
 * @Date: 2024/04/29/下午10:47
 * @Version 1.0
 * @注释:
 */
@Service
public class AssessmentDataServiceImpl implements AssessmentDataService {
    @Resource
    private AssessmentDataDAO assessmentDataDAO;
    @Override
    public Boolean batchInsertSelective(List<AssessmentDataDO> assessmentDataDOS) {
        if (assessmentDataDOS.isEmpty()) {
            return Boolean.FALSE;
        }
        return assessmentDataDAO.batchInsert(assessmentDataDOS);
    }

    @Override
    public Integer batchUpdate(List<AssessmentDataDO> assessmentDataDOS) {
        if (assessmentDataDOS.isEmpty()) {
            return CommonConstants.ZERO;
        }
        return assessmentDataDAO.batchUpdate(assessmentDataDOS);
    }
}
